Subject: Re: bug#18136: 24.4.50; crash in redisplay when calling load-theme

From: martin rudalics <[email-masked]>
Date: Tue, 29 Jul 2014 20:23:50 +0200

> Shouldn't TTY frames behave as if they were fullscreen?  That's what
 > they (normally) are, right?

I think so, especially because that's how they behaved before.

 > The code in change_frame_size_1 we are talking about was there since a
 > very long time (I see it in Emacs 21), and its purpose is to update
 > FrameRows and FrameCols when the user changes dimensions of a TTY
 > frame (e.g., by calling set-frame-height).  If you remove it, how can
 > we update those attributes otherwise?

I wonder why this is done in this part of the code.  Here we resize the
windows of a frame but the frame's sizes remain unchanged.

martin